#include <bits/stdc++.h>

using namespace std;

int main()
{
   int p,q,r,o;
   long int l,i,k;
   long long int m,ispis=0;
   scanf("%d%d%d%ld%lld",&p,&q,&r,&l,&m);
   if(1/p+1/q+1/r>1) {printf("0");return 0;}
    k=p*q*r;

   for(i=l;i<=m;i++)
   {
        k--;
        o=0;
       if(i%p!=0) o++;
       if(i%q!=0) o++;
       if(i%r!=0) o++;
        if(i/p+i/q+i/r+o<=i) ispis++;
        cout<<i/p <<"  " << i/q<< " "<<i/r<<"\n";
        if(k<0) break;
   }
   if(k<0) ispis+=m-(p*q*r)-1;
   printf("%lld",ispis);
    return 0;
}